using System;

namespace ConsoleApp6
{
    class Program
    {
        static void Main(string[] args)
        {

            string s = Console.ReadLine();
            int f = 0;
            string s3 = s;
            string [] s1 = Console.ReadLine().Split(" ");
            int a1 = int.Parse(s1[0]);
            int a2 = int.Parse(s1[1]);

            int d = Math.Abs(a1 - a2);

            if (d == 0)
            {
                while (f <= a1-2)
                {
                    f += 1;
                    s = s + s3;
                }
                Console.WriteLine(s);
            }   
            else
                Console.WriteLine("nemoguce");
            

        }
    }
}